> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.lumiweb.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Catalog



## OpenAPI

````yaml /api-reference/proxy.json get /v1/proxy/catalog
openapi: 3.1.0
info:
  title: Lumi Proxy API
  version: 1.1.0
  description: >-
    Публичный REST API прокси Lumi. Ключ привязан к одному аккаунту и делает то
    же, что клиент делает в боте.


    Авторизация: `Authorization: Bearer <ключ>`. Денежные запросы дополнительно
    требуют заголовок `Idempotency-Key`.
servers:
  - url: https://api.lumiweb.cc/proxy
    description: production
security:
  - bearerAuth: []
paths:
  /v1/proxy/catalog:
    get:
      tags:
        - proxy
      summary: Catalog
      operationId: catalog
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CatalogOut:
      properties:
        categories:
          items:
            $ref: '#/components/schemas/CatalogCategory'
          type: array
          title: Categories
      type: object
      required:
        - categories
      title: CatalogOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CatalogCategory:
      properties:
        category:
          type: string
          title: Category
        label:
          type: string
          title: Label
        unit:
          type: string
          title: Unit
        kind:
          type: string
          title: Kind
        live:
          type: boolean
          title: Live
          description: false = not purchasable right now
        min_quantity:
          type: integer
          title: Min Quantity
          default: 1
        max_quantity:
          type: integer
          title: Max Quantity
        presets:
          items:
            type: integer
          type: array
          title: Presets
        duration_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Days
        sample_price_usd:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Sample Price Usd
          description: retail for a single unit, before personal discounts
        tiers:
          items:
            $ref: '#/components/schemas/PriceTier'
          type: array
          title: Tiers
          description: 'volume ladder: price per unit from min_quantity up'
        capabilities:
          items:
            type: string
          type: array
          title: Capabilities
      type: object
      required:
        - category
        - label
        - unit
        - kind
        - live
        - max_quantity
      title: CatalogCategory
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PriceTier:
      properties:
        min_quantity:
          type: integer
          title: Min Quantity
        price_per_unit_usd:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Price Per Unit Usd
      type: object
      required:
        - min_quantity
        - price_per_unit_usd
      title: PriceTier
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Ключ вида lumi_proxy_… Выдаётся оператором.

````